- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Host::SSystemInformation Struct Reference

List of all members.

## Detailed Description

Structure for host info.

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  SSystemInformation.hpp,v 1.4 2007/02/08 21:06:44 paul Exp

Definition at line 33 of file SSystemInformation.hpp.

## Public Attributes

- long m_build
- CString m_computerName
- long m_cpuSpeed
- long m_major
- long m_minor
- long m_numberOfProcessors
- CString m_osVersion
- CString m_processorString
- CString m_userName

## Member Data Documentation

long Exponent::Host::SSystemInformation::m_build

os build

Definition at line 41 of file SSystemInformation.hpp.

CString Exponent::Host::SSystemInformation::m_computerName

name of the computer

Definition at line 35 of file SSystemInformation.hpp.

long Exponent::Host::SSystemInformation::m_cpuSpeed

cpu speed in hz

Definition at line 42 of file SSystemInformation.hpp.

long Exponent::Host::SSystemInformation::m_major

os major version

Definition at line 39 of file SSystemInformation.hpp.

long Exponent::Host::SSystemInformation::m_minor

os minor version

Definition at line 40 of file SSystemInformation.hpp.

long Exponent::Host::SSystemInformation::m_numberOfProcessors

number of onboard CPUs

Definition at line 43 of file SSystemInformation.hpp.

CString Exponent::Host::SSystemInformation::m_osVersion

string representation of the os

Definition at line 37 of file SSystemInformation.hpp.

CString Exponent::Host::SSystemInformation::m_processorString

string representation of the processor

Definition at line 38 of file SSystemInformation.hpp.

CString Exponent::Host::SSystemInformation::m_userName

name of the user

Definition at line 36 of file SSystemInformation.hpp.